3jytsg
Last Updated: February 25, 2016
·
1.533K
· purak
Fe0a1519fcf6d2efd7f1a0bbc20660d2

Sorry, the command is not available in this version: python << EOF

I get the following error when I want to open a file in vim.

"__init__.py" [New File]
Error detected while processing /home/burak/Projects/dotfiles/_vim/bundle/ropevi
m/ftplugin/python/ropevim.vim:
line    4:
E319: Sorry, the command is not available in this version: python << EOF
Press ENTER or type command to continue

ropevim.vim file seems like that:

 1 " Exit quickly when:
 2 " - this plugin was already loaded
 3 if !exists("g:ropevim_loaded")
 4 python << EOF
 5 import sys, vim
 6 sys.path.append(vim.eval("expand('<sfile>:p:h')")  + '/libs/')
 7 import ropevim
 8 EOF
 9 let g:ropevim_loaded = 1                                                     
10 endif 

The solution is pretty simple, you should compile vim with Python support.

Yeah I am using Gentoo. :)

Say Thanks
Respond
Filed Under